import { type JSX } from '../../stencil-public-runtime';
import type { DetailsCallbacksPropType, DetailsAPI, DetailsStates, DisabledPropType, FocusableElement, HeadingLevel, LabelPropType } from '../../schema';
export declare class KolDetails implements DetailsAPI, FocusableElement {
    private readonly host?;
    private readonly nonce;
    private buttonWcRef?;
    private readonly catchRef;
    focus(): Promise<void>;
    kolFocus(): Promise<void>;
    private toggleTimeout?;
    private handleOnClick;
    render(): JSX.Element;
    _disabled?: boolean;
    _label: LabelPropType;
    _level?: HeadingLevel;
    _on?: DetailsCallbacksPropType<boolean>;
    _open?: boolean;
    state: DetailsStates;
    validateDisabled(value?: DisabledPropType): void;
    validateLabel(value?: LabelPropType): void;
    validateLevel(value?: HeadingLevel): void;
    validateOn(on?: DetailsCallbacksPropType<boolean>): void;
    validateOpen(value?: boolean): void;
    componentWillLoad(): void;
}
